ur_rna.GUITester.GuiTools.Matchers

## Class SwingClassMatchers

- java.lang.Object
- - ur_rna.GUITester.GuiTools.Matchers.SwingClassMatchers

-     public abstract class SwingClassMatchers
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ClassMatcher` | `button`
    `static ClassMatcher` | `check`
    `static ClassMatcher` | `combo`
    `static ClassMatcher` | `dialog`
    `static ClassMatcher` | `field`
    `static ClassMatcher` | `label`
    `static ClassMatcher` | `list`
    `static ClassMatcher` | `menu`
    `static ClassMatcher` | `menuBar`
    `static ClassMatcher` | `menuItem`
    `static ClassMatcher` | `panel`
    `static ClassMatcher` | `radio`
    `static ClassMatcher` | `spinner`
    `static ClassMatcher` | `text`
    `static ClassMatcher` | `textArea`
    `static ClassMatcher` | `toggle`
    `static ClassMatcher` | `window`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingClassMatchers()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### button

          public static final ClassMatcher button

    - #### check

          public static final ClassMatcher check

    - #### combo

          public static final ClassMatcher combo

    - #### dialog

          public static final ClassMatcher dialog

    - #### field

          public static final ClassMatcher field

    - #### label

          public static final ClassMatcher label

    - #### list

          public static final ClassMatcher list

    - #### menu

          public static final ClassMatcher menu

    - #### menuBar

          public static final ClassMatcher menuBar

    - #### menuItem

          public static final ClassMatcher menuItem

    - #### panel

          public static final ClassMatcher panel

    - #### radio

          public static final ClassMatcher radio

    - #### spinner

          public static final ClassMatcher spinner

    - #### text

          public static final ClassMatcher text

    - #### textArea

          public static final ClassMatcher textArea

    - #### toggle

          public static final ClassMatcher toggle

    - #### window

          public static final ClassMatcher window

  - ### Constructor Detail

    - #### SwingClassMatchers

          public SwingClassMatchers()